Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRLineBox

All Superinterfaces:
  JRPenContainer, JRStyleContainer

All Known Implementing Classes:
  JRBaseLineBox

    public interface JRLineBox

extends JRPenContainer

This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.

Version:
  $Id: JRLineBox.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`JRLineBox` | `clone(JRBoxContainer boxContainer)`
`void` | `copyBottomPen(JRBoxPen bottomPen)`
`void` | `copyLeftPen(JRBoxPen leftPen)`
`void` | `copyPen(JRBoxPen pen)`
`void` | `copyRightPen(JRBoxPen rightPen)`
`void` | `copyTopPen(JRBoxPen topPen)`
`java.lang.Integer` | `getBottomPadding()`
`JRBoxPen` | `getBottomPen()` Gets the pen properties for the bottom border.
`JRBoxContainer` | `getBoxContainer()`
`java.lang.Integer` | `getLeftPadding()`
`JRBoxPen` | `getLeftPen()` Gets the pen properties for the left border.
`java.lang.Integer` | `getOwnBottomPadding()`
`java.lang.Integer` | `getOwnLeftPadding()`
`java.lang.Integer` | `getOwnPadding()`
`java.lang.Integer` | `getOwnRightPadding()`
`java.lang.Integer` | `getOwnTopPadding()`
`java.lang.Integer` | `getPadding()` Gets the default padding in pixels (can be overwritten by individual settings).
`JRBoxPen` | `getPen()` Gets the pen properties for the border.
`java.lang.Integer` | `getRightPadding()`
`JRBoxPen` | `getRightPen()` Gets the pen properties for the right border.
`java.lang.Integer` | `getTopPadding()`
`JRBoxPen` | `getTopPen()` Gets the pen properties for the top border.
`void` | `setBottomPadding(int padding)`
`void` | `setBottomPadding(java.lang.Integer padding)`
`void` | `setLeftPadding(int padding)`
`void` | `setLeftPadding(java.lang.Integer padding)`
`void` | `setPadding(int padding)` Sets the default padding in pixels (can be overwritten by individual settings).
`void` | `setPadding(java.lang.Integer padding)`
`void` | `setRightPadding(int padding)`
`void` | `setRightPadding(java.lang.Integer padding)`
`void` | `setTopPadding(int padding)`
`void` | `setTopPadding(java.lang.Integer padding)`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Method Detail

### getBoxContainer

    JRBoxContainer getBoxContainer()

### clone

    JRLineBox clone(JRBoxContainer boxContainer)

### getPen

    JRBoxPen getPen()

  Gets the pen properties for the border.

### copyPen

    void copyPen(JRBoxPen pen)

### getTopPen

    JRBoxPen getTopPen()

  Gets the pen properties for the top border.

### copyTopPen

    void copyTopPen(JRBoxPen topPen)

### getLeftPen

    JRBoxPen getLeftPen()

  Gets the pen properties for the left border.

### copyLeftPen

    void copyLeftPen(JRBoxPen leftPen)

### getBottomPen

    JRBoxPen getBottomPen()

  Gets the pen properties for the bottom border.

### copyBottomPen

    void copyBottomPen(JRBoxPen bottomPen)

### getRightPen

    JRBoxPen getRightPen()

  Gets the pen properties for the right border.

### copyRightPen

    void copyRightPen(JRBoxPen rightPen)

### getPadding

    java.lang.Integer getPadding()

  Gets the default padding in pixels (can be overwritten by individual settings).

### getOwnPadding

    java.lang.Integer getOwnPadding()

### setPadding

    void setPadding(int padding)

  Sets the default padding in pixels (can be overwritten by individual settings).

### setPadding

    void setPadding(java.lang.Integer padding)

### getTopPadding

    java.lang.Integer getTopPadding()

### getOwnTopPadding

    java.lang.Integer getOwnTopPadding()

### setTopPadding

    void setTopPadding(int padding)

### setTopPadding

    void setTopPadding(java.lang.Integer padding)

### getLeftPadding

    java.lang.Integer getLeftPadding()

### getOwnLeftPadding

    java.lang.Integer getOwnLeftPadding()

### setLeftPadding

    void setLeftPadding(int padding)

### setLeftPadding

    void setLeftPadding(java.lang.Integer padding)

### getBottomPadding

    java.lang.Integer getBottomPadding()

### getOwnBottomPadding

    java.lang.Integer getOwnBottomPadding()

### setBottomPadding

    void setBottomPadding(int padding)

### setBottomPadding

    void setBottomPadding(java.lang.Integer padding)

### getRightPadding

    java.lang.Integer getRightPadding()

### getOwnRightPadding

    java.lang.Integer getOwnRightPadding()

### setRightPadding

    void setRightPadding(int padding)

### setRightPadding

    void setRightPadding(java.lang.Integer padding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com